openapi: 3.0.3
info:
  title: AudD Music Recognition Enterprise endpoint
  description: AudD Music Recognition Enterprise endpoint
  version: 1.0.0
servers:
  - url: https://enterprise.audd.io/
paths:
  /:
    get:
      operationId: identifyMusic
      summary: Identify music from an audio or a video
      parameters:
        - name: api_token
          in: query
          description: The token received from the Dashboard
          required: true
          schema:
            type: string
        - name: url
          in: query
          description: The URL of the file for the recognition or the page where the audio or video is located
          schema:
            type: string
        - name: accurate_offsets
          in: query
          description: Set to "true" to get accurate start and end offsets of the recognized tracks
          schema:
            type: string
        - name: skip
          in: query
          description: How many 12 seconds chunks are skipped after the ones that are recognized
          schema:
            type: integer
        - name: every
          in: query
          description: How many chunks should be recognized in a row
          schema:
            type: integer
        - name: limit
          in: query
          description: The upper bound for the number of chunks the server will recognize. If you only need to identify from a particular position, set this to 1.
          schema:
            type: integer
        - name: skip_first_seconds
          in: query
          description: "The music recognition start time: how many seconds to skip at the beginning before starting the music recognition (e.g., the start time of the first chunk)"
          schema:
            type: integer
      responses:
        200:
          description: Successful recognition
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  result:
                    type: array
                    items:
                      type: object
                      properties:
                        songs:
                          type: array
                          items:
                            type: object
                            properties:
                              score:
                                type: integer
                                example: 100
                              artist:
                                type: string
                                example: Ali Angel
                              title:
                                type: string
                                example: Tou patou II
                              album:
                                type: string
                                example: Notre histoire
                              release_date:
                                type: string
                                example: 2002-06-05
                              label:
                                type: string
                                example: BELIEVE - Pastel Productions
                              timecode:
                                type: string
                                example: 00:11
                              isrc:
                                type: string
                                example: FR6V81099777
                              upc:
                                type: string
                                example: 3760009882294
                              song_link:
                                type: string
                                example: https://lis.tn/TouPatouII
                              start_offset:
                                type: integer
                                example: 1
                              end_offset:
                                type: integer
                                example: 8680
                        offset:
                          type: string
                          example: 00:00
                  execution_time:
                    type: string
                    example: 38.335355495s
        default:
          description: Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  error:
                    type: string
                    example: Invalid API token